/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * gui-cache.h: Cache implementation for GUITransfers
 *
 * Copyright (C) 2000-2002 Ximian, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GUI_CACHE_H
#define _GUI_CACHE_H

typedef struct _GUICache GUICache;

void gui_cache_set_user_data(GUICache *cache, gpointer user_data);
gpointer gui_cache_get_user_data(GUICache *cache);
char *gui_cache_get_cache_directory(GUICache *cache);
char *gui_cache_get_cache_filename(GUICache *cache, const char *filename);
const char *gui_cache_get_modification_time(GUICache *cache, const char *filename);
void gui_cache_open(GUICache *cache, const char *filename, gboolean append);
void gui_cache_append(GUICache *cache, const char *filename, const char *data, guint32 size);
void gui_cache_close(GUICache *cache, const char *filename);
void gui_cache_invalidate(GUICache *cache, const char *filename);
void gui_cache_invalidate_all(GUICache *cache);
void gui_cache_invalidate_all_older(GUICache *cache, time_t seconds);
gboolean gui_cache_is_active(GUICache *cache, const char *filename);

void rc_gui_initialize_caches(void);
#endif /* _GUI_TRANSFER_H */
