/* -*- Mode: C; tab-width: 4; c-basic-offset: 4; indent-tabs-mode: nil -*- */
/*
 * gui-prefs.h: proxy / mirror settings
 *
 * Copyright (C) 2000, 2001 Ximian, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __REDCARPET_PREFS_H
#define __REDCARPET_PREFS_H

typedef enum {
    PROXY_TYPE_NONE,
    PROXY_TYPE_HTTP,
    PROXY_TYPE_SOCKS4,
    PROXY_TYPE_SOCKS5
} ProxyType;

typedef enum {
    PRIORITY_TYPE_PRIORITY,
    PRIORITY_TYPE_NORMAL,
    PRIORITY_TYPE_CURRENT
} PriorityType;

void         gui_prefs_load(void);
void         gui_prefs_save(void);
void         gui_prefs_dialog_show(void);

ProxyType    gui_prefs_get_proxy_type(void);
char *       gui_prefs_get_proxy_url(void);
gboolean     gui_prefs_get_http10_enabled(void);
gboolean     gui_prefs_get_cache_enabled(void);
void         gui_prefs_get_cache_info(char **path, int *days,
                                   gboolean *clear_on_startup,
                                   gboolean *clear_on_exit);
const gchar *gui_prefs_get_mirror_url(void);
gboolean     gui_prefs_get_signature_ask(void);
gboolean     gui_prefs_get_pretty_names(void);
gboolean     gui_prefs_get_priority(void);

void         gui_prefs_set_signature_ask(gboolean);
void         gui_prefs_set_priority(gboolean enabled);
void         gui_prefs_set_mirror_url(const char *url, PriorityType type);

void         gui_prefs_sync_priority(void);

void         rc_gui_proxy_dialog(void);
void         rc_gui_maybe_proxy_dialog(void);

/* Needed by gui_debug_report */
void         gui_prefs_set_string(char *path, char *data);
gchar *      gui_prefs_get_string(char *path);

#endif /* __REDCARPET_PREFS_H */
